<?php
define('CONFIG_FILE', __DIR__ . '/config.php');

include __DIR__ . '/functions.php';
include __DIR__ . '/class.async.php';

$cfg = [];
load_config();

if ($argc < 2) {
	die("Usage: {$argv[0]} cmd arg...\n");
}

$args = $argv;
array_shift($args);
$method = array_shift($args);
$async = new Async($cfg['redis_host'], $cfg['redis_port'], $cfg['worker_num']);
$ret = $async->$method($args);
echo $ret ? "success\n" : "FAILED\n";
