<?php
define('CONFIG_FILE', __DIR__ . '/config.php');

include __DIR__ . '/functions.php';

//加载配置
$cfg = [];
load_config();

//检查参数
if ($argc < 2) {
	die("Usage: {$argv[0]} CMD ARG...\n");
}

$queueKey = $cfg['sysvmsg_key'];
$args = $argv;
array_shift($args); //php_self

//获取队列
$q = msg_get_queue($queueKey, 0666);
$ret = msg_send($q, 1, json_encode($args), false, false);
var_dump($ret);
